## org.eclipse.datatools.sqltools.result
Interface IHelpConstants

public interface IHelpConstants

This file contains all the context help ID that are used by following DTP plugins: TPS_helpKey_constants_for_plug-in: org.eclipse.datatools.sqltools.result

Author:
  bshen

Field Summary
`static java.lang.String` `ACTION_EXPORT_ALL_RESULTSETS` Used for SQL result view's All Results action.
`static java.lang.String` `ACTION_EXPORT_RESULTSET` Used for SQL result view's Export Current Result action.
`static java.lang.String` `ACTION_OPEN_FILTER_DIALOG` Used for SQL result view's Open Filters action.
`static java.lang.String` `ACTION_PRINT_RESULTSET` Used for SQL result view's Print Current Result action.
`static java.lang.String` `ACTION_REEXECUTE` Used for SQL result view's Re-execute action.
`static java.lang.String` `ACTION_REMOVE_ALL_VISIBLE_FINISHED_RESULT` Used for SQL result view's Remove All action.
`static java.lang.String` `ACTION_REMOVE_RESULT` Used for SQL result view's Remove action.
`static java.lang.String` `ACTION_SAVE_ALL_RESULTSETS` Used for SQL result view's Save All Results action.
`static java.lang.String` `ACTION_SAVE_RESULT_INSTANCE` Used for SQL result view's Save History action.
`static java.lang.String` `ACTION_SAVE_RESULTSET` Used for SQL result view's Save Current Result action.
`static java.lang.String` `ACTION_SINGLE_TAB_DISPLAY` Used for SQL result view's Display result in single tab action.
`static java.lang.String` `ACTION_TERMINATE_INSTANCE` Used for SQL result view's Terminate action.
`static java.lang.String` `ACTION_TEXT_MODE_DISPLAY` Used for SQL result view's Display result in text mode action.
`static java.lang.String` `DIALOG_LONG_DATA` Used for SQL result view's Long data dialog.
`static java.lang.String` `DIALOG_RESULTS_FILTER` Used for SQL result view's SQL Results Filters dialog.
`static java.lang.String` `DIALOG_SAVE_RESULTSET` Used for SQL result view's Save All Results/ Save Result dialog.
`static java.lang.String` `PREFERENCE_PAGE_EXPORT_FORMAT` Used for SQL result view's Export Format preference page.
`static java.lang.String` `PREFERENCE_PAGE_RESULT_HISTORY` Used for SQL result view's History preference page.
`static java.lang.String` `PREFERENCE_PAGE_SQL_RESULTS_VIEW` Used for SQL result view's SQL Results View preference page.
`static java.lang.String` `PREFIX`
`static java.lang.String` `VIEW_SQL_RESULT` Used for SQL result view.
`static java.lang.String` `WIZARD_RESULT_EXPORT` Used for SQL result view's Export Result wizard.

Field Detail

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

### VIEW_SQL_RESULT

    public static final java.lang.String VIEW_SQL_RESULT

  Used for SQL result view.

  See Also:
    Constant Field Values

### PREFERENCE_PAGE_SQL_RESULTS_VIEW

    public static final java.lang.String PREFERENCE_PAGE_SQL_RESULTS_VIEW

  Used for SQL result view's SQL Results View preference page.

  See Also:
    Constant Field Values

### PREFERENCE_PAGE_EXPORT_FORMAT

    public static final java.lang.String PREFERENCE_PAGE_EXPORT_FORMAT

  Used for SQL result view's Export Format preference page.

  See Also:
    Constant Field Values

### PREFERENCE_PAGE_RESULT_HISTORY

    public static final java.lang.String PREFERENCE_PAGE_RESULT_HISTORY

  Used for SQL result view's History preference page.

  See Also:
    Constant Field Values

### ACTION_REEXECUTE

    public static final java.lang.String ACTION_REEXECUTE

  Used for SQL result view's Re-execute action.

  See Also:
    Constant Field Values

### ACTION_REMOVE_ALL_VISIBLE_FINISHED_RESULT

    public static final java.lang.String ACTION_REMOVE_ALL_VISIBLE_FINISHED_RESULT

  Used for SQL result view's Remove All action.

  See Also:
    Constant Field Values

### ACTION_REMOVE_RESULT

    public static final java.lang.String ACTION_REMOVE_RESULT

  Used for SQL result view's Remove action.

  See Also:
    Constant Field Values

### ACTION_SAVE_RESULT_INSTANCE

    public static final java.lang.String ACTION_SAVE_RESULT_INSTANCE

  Used for SQL result view's Save History action.

  See Also:
    Constant Field Values

### ACTION_TERMINATE_INSTANCE

    public static final java.lang.String ACTION_TERMINATE_INSTANCE

  Used for SQL result view's Terminate action.

  See Also:
    Constant Field Values

### ACTION_EXPORT_ALL_RESULTSETS

    public static final java.lang.String ACTION_EXPORT_ALL_RESULTSETS

  Used for SQL result view's All Results action.

  See Also:
    Constant Field Values

### ACTION_EXPORT_RESULTSET

    public static final java.lang.String ACTION_EXPORT_RESULTSET

  Used for SQL result view's Export Current Result action.

  See Also:
    Constant Field Values

### ACTION_SAVE_ALL_RESULTSETS

    public static final java.lang.String ACTION_SAVE_ALL_RESULTSETS

  Used for SQL result view's Save All Results action.

  See Also:
    Constant Field Values

### ACTION_SAVE_RESULTSET

    public static final java.lang.String ACTION_SAVE_RESULTSET

  Used for SQL result view's Save Current Result action.

  See Also:
    Constant Field Values

### ACTION_PRINT_RESULTSET

    public static final java.lang.String ACTION_PRINT_RESULTSET

  Used for SQL result view's Print Current Result action.

  See Also:
    Constant Field Values

### ACTION_OPEN_FILTER_DIALOG

    public static final java.lang.String ACTION_OPEN_FILTER_DIALOG

  Used for SQL result view's Open Filters action.

  See Also:
    Constant Field Values

### ACTION_SINGLE_TAB_DISPLAY

    public static final java.lang.String ACTION_SINGLE_TAB_DISPLAY

  Used for SQL result view's Display result in single tab action.

  See Also:
    Constant Field Values

### ACTION_TEXT_MODE_DISPLAY

    public static final java.lang.String ACTION_TEXT_MODE_DISPLAY

  Used for SQL result view's Display result in text mode action.

  See Also:
    Constant Field Values

### DIALOG_LONG_DATA

    public static final java.lang.String DIALOG_LONG_DATA

  Used for SQL result view's Long data dialog.

  See Also:
    Constant Field Values

### DIALOG_SAVE_RESULTSET

    public static final java.lang.String DIALOG_SAVE_RESULTSET

  Used for SQL result view's Save All Results/ Save Result dialog.

  See Also:
    Constant Field Values

### DIALOG_RESULTS_FILTER

    public static final java.lang.String DIALOG_RESULTS_FILTER

  Used for SQL result view's SQL Results Filters dialog.

  See Also:
    Constant Field Values

### WIZARD_RESULT_EXPORT

    public static final java.lang.String WIZARD_RESULT_EXPORT

  Used for SQL result view's Export Result wizard.

  See Also:
    Constant Field Values

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.